jee/jsf/src/main/java/fr/univtln/bruno/jee91/jsf/ViewPersonBean.java
package fr.univtln.bruno.jee91.jsf;

import fr.univtln.bruno.samples.jee91.dao.Person;
import fr.univtln.bruno.samples.jee91.dao.PersonDAO;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import java.util.List;

@Named
@RequestScoped
public class ViewPersonBean {

    @Inject
    PersonDAO personDAO;

    private final String message = "Hello 1";

    public String getMessage() {
        return this.message;
    }

    public List<Person> getPersons() {
        return personDAO.findAll();
    }

}

jee/jsf/src/main/webapp/addPerson.xhtml
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

<h:head></h:head>

<h:body>
    <div class="card">
        <h:form>
            <h3 class="p-mt-0">Add a person</h3>
            <p:growl id="growl" for="growl-id" showDetail="true" skipDetailIfEqualsSummary="true"/>
            <h:panelGrid columns="3" cellpadding="7">
                <p:outputLabel for="fieldName" value="Name"/>
                <p:inputText id="fieldName" value="#{addPersonView.newPerson.name}"/>
                <p:message for="fieldName"/>
                <p:commandButton value="Save" ajax="false" icon="pi pi-check" validateClient="true" styleClass="p-mr-3" action="#{addPersonView.addPerson}"/>
            </h:panelGrid>
        </h:form>
    </div>
</h:body>
</html>

jee/jsf/src/main/webapp/index.xhtml
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xml:lang="en">

<h:head>
    <title>A Person list</title>
</h:head>

<h:body>
    <h3 style="text-align: center"><h:outputText value="#{viewPersonBean.message}"/></h3>

    <div class="card">
        <p:dataTable var="person" value="#{viewPersonBean.persons}" lazy="true">
            <p:column headerText="UUID">
                <h:outputText value="#{person.uuid}"/>
            </p:column>

            <p:column headerText="Name">
                <h:outputText value="#{person.name}"/>
            </p:column>
        </p:dataTable>
    </div>

</h:body>
</html>

jee/jsf/src/main/webapp/test.xhtml
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head>
</h:head>

<h:body>
    <p:spinner />
</h:body>
</html>